DSTU4145ECBinary (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.ua

## Class DSTU4145ECBinary

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ua.DSTU4145ECBinary

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class DSTU4145ECBinary
      extends ASN1Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSTU4145ECBinary(ECDomainParameters params)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `getA()`
    `byte[]` | `getB()`
    `DSTU4145BinaryField` | `getField()`
    `byte[]` | `getG()`
    `static DSTU4145ECBinary` | `getInstance(java.lang.Object obj)`
    `java.math.BigInteger` | `getN()`
    `ASN1Primitive` | `toASN1Primitive()` ECBinary ::= SEQUENCE { version [0] EXPLICIT INTEGER DEFAULT 0, f BinaryField, a INTEGER (0..1), b OCTET STRING, n INTEGER, bp OCTET STRING}

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSTU4145ECBinary

          public DSTU4145ECBinary(ECDomainParameters params)

  - ### Method Detail

    - #### getInstance

          public static DSTU4145ECBinary getInstance(java.lang.Object obj)

    - #### getField

          public DSTU4145BinaryField getField()

    - #### getA

          public java.math.BigInteger getA()

    - #### getB

          public byte[] getB()

    - #### getN

          public java.math.BigInteger getN()

    - #### getG

          public byte[] getG()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      ECBinary ::= SEQUENCE { version [0] EXPLICIT INTEGER DEFAULT 0, f BinaryField, a INTEGER (0..1), b OCTET STRING, n INTEGER, bp OCTET STRING}
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.